/*
**  Copyright (c) 2010-2015, Panasonic Corporation.
**
**  Permission to use, copy, modify, and/or distribute this software for any
**  purpose with or without fee is hereby granted, provided that the above
**  copyright notice and this permission notice appear in all copies.
**
**  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
**  WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
**  MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
**  ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
**  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
**  ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
**  OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
*/

#ifndef DOF_SGMP_V1_RECEIVE_H
#define DOF_SGMP_V1_RECEIVE_H


#include "sgmp_v1_receiveutil.h"


#ifdef  __cplusplus
extern "C" {
#endif


extern void SGMP_V1_ReceiveHeartbeat(SGMP_V1_ReceiveData data);
extern void SGMP_V1_ReceiveEpochChanged(SGMP_V1_ReceiveData data);
extern void SGMP_V1_ReceiveRekey(SGMP_V1_ReceiveData data);
extern void SGMP_V1_ReceiveRekeyEpoch(SGMP_V1_ReceiveData data);
extern void SGMP_V1_ReceiveRekeyMerge(SGMP_V1_ReceiveData data);
extern void SGMP_V1_ReceiveRequestGroup(SGMP_V1_ReceiveData data);
extern void SGMP_V1_ReceiveRequestGroupResponse(SGMP_V1_ReceiveData data);


#ifdef  __cplusplus
}
#endif


#endif /* DOF_SGMP_V1_RECEIVE_H */
