#SDK OpenDOF C (training-sdk-sdk-opendof-c-7) Release Information

##Version 1.3.0.2
(2018-01-12, from path "sdk-opendof-c-7" at commit 922ee1beba781190f59f51ee21f5ed0dc1e185bc on branch "master" of repository training-sdk)

This release includes the following additions, updates, and changes:

- Updated module to pull in the latest releases of all core-c libraries and API documentation as-to-date of this release.
- Added bash scripts for building all the included libraries and cross-compiling.

More information can be found on this project at [https://opendof.org/](https://opendof.org/)

----------

##Version 1.2.0.6
(2017-06-29, from path "sdk-opendof-c-7" at commit ac567441de023d5c92ee1929472182b4a0b5ac99 on branch "master" of repository training-sdk)

This release includes the following additions, updates, and changes:

- Updated module to pull in the latest releases of all core-c libraries and API documentation as-to-date of this release.
- Removed all tutorials where future version releases will have a "HelloWorld" sample and link to the Getting Started Online Training documentation.

More information can be found on this project at [https://opendof.org/](https://opendof.org/)

----------

##Version 1.1.0.261
(2016-02-12, from path "sdk-opendof-c-7" at commit 3ebc615e09a245726ead460e7a0655fa9e4f7952 on branch "master" of repository training-sdk) 

This release includes the following additions, updates, and removals:

- Updated module to pull in the latest releases of all core-c libraries and API documentation as-to-date of this release.
- Updated Security tutorials to work against the tools-domain-dof-json-as 1.0 module included in the SDK-DOF-Essentials.
- Removed all binary builds of core-c libraries, only source packages are included now.

This release fixes several issues, some of the following were:

- [SDKC-3](https://issue.opendof.org/browse/SDKC-3) COPYING.html is using the wrong date range and company name for the copyright.
- [SDKC-7](https://issue.opendof.org/browse/SDKC-7) Tutorial readme.txt's are out-of-date in regards to building instructions and should be updated.
- [SDKC-12](https://issue.opendof.org/browse/SDKC-12) When quitting various tutorials, an Assertion or an unrecoverable error frequently happens..
- [SDKC-19](https://issue.opendof.org/browse/SDKC-19) Security tutorial 3's TrainingRequestor App fails all commands with Timeout.
- [SDKC-20](https://issue.opendof.org/browse/SDKC-20) Security tutorial 4's bootstrap doesn't work for the tutorial.
- [SDKC-21](https://issue.opendof.org/browse/SDKC-21) Security Tutorial 1's requestor shows error upon shutting down.

More information can be found on this project at [https://opendof.org/](https://opendof.org/)

----------

##Version 1.0.0.0
(2015-03-24, from path "sdk-opendof-c-7" on branch "master" of repository training-sdk)

This is the initial public release of this project.

More information can be found on this project at [https://opendof.org/](https://opendof.org/)