/*
**  Copyright (c) 2010-2015, Panasonic Corporation.
**
**  Permission to use, copy, modify, and/or distribute this software for any
**  purpose with or without fee is hereby granted, provided that the above
**  copyright notice and this permission notice appear in all copies.
**
**  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
**  WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
**  MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
**  ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
**  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
**  ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
**  OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
*/

#ifndef DOF_SGMP_V1_SEND_H
#define DOF_SGMP_V1_SEND_H


#include "sgmp_v1_sendutil.h"


#ifdef  __cplusplus
extern "C" {
#endif


extern void SGMP_V1_Heartbeat_Send(SGMP_V1_SendData data, BlackboardData blackboardData);
extern void SGMP_V1_EpochChanged_Send(SGMP_V1_SendData data, BlackboardData blackboardData);
extern void SGMP_V1_Rekey_Send(SGMP_V1_SendData data, BlackboardData blackboardData);
extern void SGMP_V1_RekeyEpoch_Send(SGMP_V1_SendData data, BlackboardData blackboardData);
extern void SGMP_V1_RekeyMerge_Send(SGMP_V1_SendData data, BlackboardData blackboardData);
extern void SGMP_V1_RequestGroupResponse_Send(SGMP_V1_SendData data, BlackboardData blackboardData);



#ifdef  __cplusplus
}
#endif


#endif /* DOF_SGMP_V1_SEND_H */
